---
dg-publish: true
dg-home-link: false
---
# Introduction to Computer Science, Grade 11
> [!NOTE]
> This is the [canonical source for this curriculum](https://www.edu.gov.on.ca/eng/curriculum/secondary/computer10to12_2008.pdf#page=41).

## A. Programming Concepts and Skills
### Overall Expectations
By the end of this course, students will: 
#### A1.
demonstrate the ability to use different data types, including one-dimensional arrays, in computer programs;
#### A2.
demonstrate the ability to use control structures and simple algorithms in computer programs;
#### A3.
demonstrate the ability to use subprograms within computer programs;
#### A4.
use proper code maintenance techniques and conventions when creating computer programs.
## B. Software Development
### Overall Expectations
By the end of this course, students will: 
#### B1.
use a variety of problem-solving strategies to solve different types of problems independently and as part of a team;
#### B2.
design software solutions to meet a variety of challenges;
#### B3.
design algorithms according to specifications;
#### B4.
apply a software development life-cycle model to a software development project.
## C. Computer Environments and Systems
### Overall Expectations
By the end of this course, students will: 
#### C1.
relate the specifications of computer components to user requirements;
#### C2.
use appropriate file maintenance practices to organize and safeguard data;
#### C3.
demonstrate an understanding of the software development process.
## D. Topics in Computer Science
### Overall Expectations
By the end of this course, students will: 
#### D1.
describe policies on computer use that promote environmental stewardship and sustainability;
#### D2.
demonstrate an understanding of emerging areas of computer science research;
#### D3.
describe postsecondary education and career prospects related to computer studies.
