---
dg-publish: true
dg-home-link: false
tags: [ics3u]
---
# Initial Portfolio Review
## How does this work?
For this portfolio review at the midpoint of our first thread of study in this course, you will cast an appraising eye at your portfolio, and decide whether you are, currently:

- Approaching expectations
- Meeting expectations
- Exceeeding expectations

For this portfolio review, only these levels will be used. No numeric grade will be determined.

> [!NOTE]
> Our next portfolio review will occur in two weeks, at the end of the module. At that time, a numeric grade will be determined.

The overall purpose of your portfolio is to provide evidence of mastery of the [course learning goals](https://www.russellgordon.ca/cs/learning-goals/learning-goals-for-grade-11/).

## Meeting Expectations

To *meet* expectations, be sure you have:
- [ ] met the success criteria for the [[Section 1/Tasks/Name Plate|Name Plate]] task and made at least *some* of the improvements that you were given time to complete from days [[Section 1/Thread 1/Day 2|2]], [[Section 1/Thread 1/Day 3|3]],  [[Section 1/Thread 1/Day 4|4]], and [[Section 1/Thread 1/Day 6|6]]
- [ ] completed assigned exercises from:
	- [[Section 1/Thread 1/Day 5|Day 5]]: write structure(s) to represent hockey cards
	- Days [[Section 1/Thread 1/Day 7|7]], [[Section 1/Thread 1/Day 8|8]], and [[Section 1/Thread 1/Day 9|9]]: Essentially, get your Favourite Things app [[Favourite Things|to the point where it looks like this]] (with, of course, your own unique list of your favourite things)

> [!IMPORTANT]
> Whatever you have done must be clearly documented in your portfolio, with supporting screenshots *and* text summarizing what you are showing and what you learned.

## Approaching Expectations

If you are missing evidence in your portfolio for the tasks noted above, you are *approaching* expectations.

## Exceeding Expectations

If you have evidence in your portfolio that suggests further mastery of a [[Current Courses/Grade 10 Introduction to Computer Studies/Learning Goals|course learning goal]], but which was not explicitly spelled out in the success criteria for a task, you may be *exceeding* expectations. For example:

- You might have made *every* suggested improvement to your Name Plate drawing, or made multiple name plates that show a strong understanding of concepts like loops, functions, and random numbers.
- You might have experimented with creating user interfaces with SwiftUI in another project.

How a given student exceeds expectations will vary and is not limited to the examples provided above.

## What to do
==No later than the night before your meeting with Mr. Gordon==, please:
- [ ] Make a brief post [on Spaces](https://ca.spacesedu.com/)
- [ ] Title the post "Thread 1 – Midpoint – Portfolio Review"
- [ ] Write *briefly* to support your case for the level of achievement you feel you have earned