---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 9 - Tuesday, November 1, 2022
#### Agenda
1. Full class recap
	- Starting a new project
	- Computed properties vs. stored properties
	- Requirements of the `View` protocol
	- How to describe more interesting layouts for a user interface

	> [!TIP]
	> If you missed the recap in class, here is [a video from when I reviewed these topics](https://youtu.be/rnfnoh-s_Jg) with my other section of Grade 11 Intro to Computer Science.

	> [!NOTE]
	> Here is the [Xcode Keyboard Shortcuts poster](https://swifteducation.github.io/assets/pdfs/XcodeKeyboardShortcuts.pdf) I mentioned in class.

2. [Project Organization](https://www.icloud.com/iclouddrive/03exCcLog2jkWcR0rpDKcga6w#Day_9a_-_Project_Organization)
	- Using groups in Xcode
3. [Scrolling](https://www.icloud.com/iclouddrive/0c77u1tVdTO30hB3oVHDICsbA#Day_9b_-_Scrolling)
	- What to do when content does not fit
4. [Lists](https://www.icloud.com/iclouddrive/0c3tFYod2N7YJphIivM7ss1Mg#Day_9c_-_Lists)
	- How to show a list of items
5. [Navigation](https://www.icloud.com/iclouddrive/0eeKmwf3mhGM52O-dPTYahj4A#Day_9d_-_Navigation)
	- Moving between pages
6. [App Entry Point](https://www.icloud.com/iclouddrive/0707mnUnIdxMoykJGvEKOnrbw#Day_9e_-_App_Entry_Point)
	- Changing what view shows
7. [Exercise](https://www.icloud.com/iclouddrive/042DE80FTJL3UrzvyiDzaISgg#Day_9f_-_Exercise)
	- Add three more favourite things to your app
	> [!TIP]
	> Recall from class 7 – here is [how to add a new SwiftUI view to your project](https://www.youtube.com/embed/JMJGncqQh_k)

#### To-do items
*Before our next class...*
- [ ] Finish the [exercise from class](https://www.icloud.com/iclouddrive/042DE80FTJL3UrzvyiDzaISgg#Day_9f_-_Exercise).
	- When complete, your app should be able to navigate to *six* different pages.
	- Each page should describe something you value.
	- Each page should have:
		- a title
		- one image
		- one or more paragraphs of text
	- Here is [[Favourite Things|an animation showing what you are aiming for]].
		
> [!NOTE]
> • Your first portfolio review will occur in our next class on Friday, November 4. 
> • Here is how to [[Section 1/Portfolios/Initial Portfolio Review|prepare for your portfolio review]].