---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 1 - Wednesday, October 19, 2022
#### Agenda
1. [Welcome to Computer Studies at LCS](https://www.youtube.com/embed/eX45ubvSW8E)
	- I look forward to meeting you in person tomorrow – until then, here is a welcome by video and a bit about the approach we'll take in this class.
	- We will review the [course outline](https://tinyurl.com/lcscs22-g11-sco) together later this week (though if you wish, you can review it today).
2. Install the [[Playgrounds|Playgrounds app]].
	- Oliver, Justin, Tom – if you could help others out as needed with this step and the next one – that would be much appreciated.
3. Download the [Sketches Template](https://www.icloud.com/iclouddrive/030Bsp7EIEhY1TnLkzuz9v76w#Turtle_Sketches_Template_v4-1).
	- Here is a [[Installing Turtle Sketches Template|short animation showing how to add the Sketches Template]] to the Playgrounds app.
> [!NOTE]
> Depending on what version of macOS you currently have installed on your computer, you *may* need to upgrade macOS (and then the Playgrounds app again) before you can try out this playground.
> If that is the case for your computer, please work with a friend today on their computer, and I will help you with your computer in our next class.
4. Start the [[Section 2/Tasks/Name Plate|Name Plate]] task. 
	- This is a warmup task to "get your feet wet" with programming – we will soon move on to writing more sophisticated programs.
	- Here is a [short code excerpt](https://gist.githubusercontent.com/russellgordon/88855e828bf8d44be5dac769f5bfc0a2/raw/dbea4fbe4e97679b754d80f049ff3373bbc557e5/main.swift) that illustrates a few techniques you may find useful.
		- To try this code out, you could [[Trying Out a Code Example|duplicate your existing playground, then copy and paste in this code]].
	- You can [[Stepping Through Your Code|step through your code]] to see what line of code produces what visual result.
	- Sometimes we encounter a *logical error*, which is when the computer does not do what we intended.
		- We can ["debug" the problem](https://www.youtube.com/embed/SlN1GmxSXkc) by checking the position of the turtle using the `drawSelf()` command.
	- You can get nicer colours by [[Using the Colour Well|using the colour well]].
	
#### To-do items
- [ ] Optionally, make further progress on completing the Name Plate task.
	- You will have some time in class tomorrow to work on this task.