---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 13 - Wednesday, November 9, 2022
#### Agenda
1. [SF Symbols App](https://developer.apple.com/sf-symbols/)
	- Not all software developers have graphic design skills.
	- Platform owners like Apple want their users to have a consistent experience when using apps written by different people.
	- One of the ways Apple helps their developers provide that consistent look and feel is by offering a wide variety of built-in images that can be used in apps.
	- Please [download and install](https://devimages-cdn.apple.com/design/resources/download/SF-Symbols-4.dmg) the SF Symbols app now.
2. [Views and Controls App](https://github.com/lcs-rgordon/ViewsAndControls)
	- This Xcode project includes examples of how to use many common user interface elements that are present in iOS apps.
	- Please [go to the repository on GitHub](https://github.com/lcs-rgordon/ViewsAndControls) and then [[Cloning Views and Controls Project|clone a copy to use]] for future reference.
	- Here is a brief example of [[Using Views and Controls Project|how to use the project to review examples]].
3. SwiftUI: [[Reproducing the Digital Stopwatch Interface, Part 1|Reproducing the Stopwatch App]]
	- In this tutorial, learn how to apply some concepts we've already learned, as well as a few new ones, to build the user interface for a professional app.
	  
#### To-do items
*Before our next class...*
- [ ] Finish the tutorial to reproduce the Stopwatch user interface