---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 2 - Wednesday, October 20, 2022
#### Agenda
1. LCAT
	- Please complete your [daily LCAT check](https://lcat.lcs.on.ca) prior to coming to class.
2. Hardcover graph paper notebooks
	- Gentle reminder: please bring your graph paper notebook to every future class for this course.
3. How to Duplicate and Rename Playgrounds
	- If you want to try out a new idea, or build on some existing code, make a *duplicate* of the Turtle Sketches playground.
		- If you wish to build from existing code – you want your existing code to be in the new playground – choose `Duplicate and Keep Changes`
		- If you just want a new Sketches playground to experiment in – you don't need existing code – choose `Duplicate and Reset`
4. [Programming with Purpose](https://www.youtube.com/embed/M-7DQJbMapI)
	- Yesterday, we looked about how Jordi Bruin solved a small problem – visually translating a menu – with the [Cibo](https://apps.apple.com/us/app/cibo-visual-menu-translator/id1583992402) app.
	- Sometimes, we can help others with major efforts, like writing an app, but...
		- ... how do we get to that place?
		- ... is that the only way to help others?
	- Please have your black hardcover notebook out while you watch *Programming with Purpose* with the class.
		- As you watch, write down any quotes that speak to you.
		- When you are finished watching, summarize a bit – what is *one* takeaway that you have from this video?
5. Continue working on the [[Section 2/Tasks/Name Plate|Name Plate]] task.
	- Here is a [short code excerpt](https://gist.githubusercontent.com/russellgordon/88855e828bf8d44be5dac769f5bfc0a2/raw/dbea4fbe4e97679b754d80f049ff3373bbc557e5/main.swift) that illustrates a few techniques you may find useful.
		- To try this code out, you could [[Trying Out a Code Example|duplicate your existing playground, then copy and paste in this code]].
	- Remember, you can [[Stepping Through Your Code|step through your code]] to see what line of code produces what visual result.
	- Sometimes we encounter a *logical error*, which is when the computer does not do what we intended.
		- We can ["debug" the problem](https://www.youtube.com/embed/SlN1GmxSXkc) by checking the position of the turtle using the `drawSelf()` command.
	- You can get nicer colours by [[Using the Colour Well|using the colour well]].
	- Aim to complete the Name Plate task today. 💪🏼
		- If you are already finished drawing your name, could you enhance it?
			- Change to bubble letters?
			- Add colour?
			- Add a drawing of one of your favourite things or something that speaks to your personality?
	
#### To-do items
*Before our next class...*
- [ ] Complete the [[Section 2/Tasks/Name Plate|Name Plate]] task.