---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 3 - Friday, October 21, 2022
#### Agenda
1. Join [our class on Spaces](https://ca.spacesedu.com/class/CA-C0vMdx23).
	- This space is for shared posts you want everyone to see:
	  ![[Screen Shot 2022-10-21 at 10.07.58 AM.png|300]]
	- This space is for private portfolio posts that will only be seen by Mr. Gordon:
	  ![[Screen Shot 2022-10-21 at 10.08.02 AM.png|300]]
2. On [Spaces](https://ca.spacesedu.com/), in the private **Portfolio** space, share your progress to date on the [[Section 2/Tasks/Name Plate|Name Plate]] task.
	- Please attach a screenshot of the visual output and screenshot(s) of the code. 
		- You can use `Command-Shift-3` to capture a screenshot; the file will be saved to your Desktop folder.
	- Then, respond to the two standard reflection prompts:
		i. What did I learn or make progress upon today?
		ii. What do I have questions about / what am I struggling with
3. [[Concepts/Functions|Introduction to Functions]]
	- A *function* is a way to *encapsulate* (bundle up) a series of steps that we may want to use again.
		- It can be useful to "return home" between drawing different parts of a sketch with the turtle.
			- This tutorial explains [[Concepts/Functions|how to use a function]] to do that.
4. [[Concepts/Iteration|Introduction to Iteration]]
	- A *loop* is a way to repeat a set of instructions many times.
	- The computer will *iterate* over a set of instructions.
	- With each iteration of the loop, instructions will be run again.
5. [[Concepts/Random Numbers|Random Numbers]]
	- Random numbers can be used to change the appearance or location of part of a sketch.
6. Make enhancements to your Name Plate sketch.
	- Use some of the concepts we have just explored - be bold!
	- Here is what I came up with after some experimentation:
	![[Screen Shot 2022-10-23 at 2.50.47 PM.png|400]]
	
	- You can find some [nice color combinations here](https://www.canva.com/learn/100-color-combinations/).
	
#### To-do items
*Before our next class...*
- [ ] Complete your enhancements to [[Section 2/Tasks/Name Plate|Name Plate]] task.
- [ ] Please share your progress on [Spaces](https://ca.spacesedu.com/).