---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 7 - Friday, October 28, 2022
#### Agenda
1. [[Providing Evidence in Your Portfolio|Portfolio: Providing evidence for learning goals]]
2. [Discussion: Grouping Related Info with Structures](https://www.icloud.com/iclouddrive/0c3lUIjNqbjj8K8bGm2SN5eiQ#2a_-_Discussion_-_Grouping_Related_Info_with_Structures)
	- Key takeaways:
		- Use `CapitalCase` when naming structures.
		- Use `camelCase` when naming properties and instances of structures.
		- **DRY**
			- Don't repeat yourself.
			- If you are designing structures to describe data, and find that you have repetitive sections of code, there is usually going to be a better way to organize things.
3. [Structures: Going beyond stored properties](https://www.icloud.com/iclouddrive/0c3cvuJ4uNIKATeNReCasjeyw#2b_-_Structures_-_Going_beyond_stored_properties)
4. [SwiftUI: A brief introduction](https://www.icloud.com/iclouddrive/00383XOCE_KFETpwc-nuKbhkA#2c_-_SwiftUI_-_A_brief_introduction)
5. [Exercise: Add pages for two more favourite things](https://www.icloud.com/iclouddrive/08393a7xlW36BnnxnMfjxxozg#2d_-_Exercise_-_Add_pages_for_two_more_favourite_things)
	
#### To-do items
*Before our next class...*
- [ ] Complete the [exercise we started in class](https://www.icloud.com/iclouddrive/08393a7xlW36BnnxnMfjxxozg#2d_-_Exercise_-_Add_pages_for_two_more_favourite_things) to add views for two more of your favourite things.
- [ ] Make your [daily post on Spaces](https://ca.spacesedu.com/) summarizing what you've learned and what you have questions about.