---
dg-publish: true
dg-home-link: false
---
# Providing Evidence in Your Portfolio

Spaces is for sharing progress, consolidating what you have learned, and getting timely feedback from Mr. Gordon.

## Ask questions

By *asking questions* you show growth over time.

![[Pasted image 20221031061012.png]]

How?

One day, you may have trouble with a concept or task. So, you ask a question in your post.

The next day, you write a post showing you've figured out that concept or completed that task.

That's growth, or improvement, in your understanding.

This is key to demonstrating achievement.

It is very much preferable to not making a post, or to making a post and pretending that everything is "OK" and that you have no questions.

## Share progress

By *sharing evidence* of progress, you show mastery of our [course learning goals](https://www.russellgordon.ca/cs/learning-goals/learning-goals-for-grade-11/).

Evidence can take the form of screenshots (obtained using the `Command-Shift-3` keyboard shortcut) or by links to source code commits.

![[Pasted image 20221031061253.png]]

## Why use a portfolio?

Why do we [use a portfolio](https://www.russellgordon.ca/cs/learning-goals/introduction/) and [learning goals](https://www.russellgordon.ca/cs/learning-goals/learning-goals-for-grade-11/)?

This allows the course to be differentiated.

Two students may work on different things on a given day, but both students add evidence to their portfolio that matches a learning goal.

Each post you make will be tagged by Mr. Gordon with learning goals it demonstrates some mastery of.

As you move through the course, you will naturally accumulate evidence for all ten learning goals.

![[Pasted image 20221031061529.png]]