---
dg-publish: true
dg-home-link: false
---
# Learning Goals
Here are the learning goals for Grade 11 Introduction to Computer Science (ICS3Ue, pre-AP).

For all learning goals, we will engage in further discussion.

Exemplars of suitable evidence for each learning goal will be shared as the course unfolds.

## 1

I can identify and correct both logical errors and syntax errors in my code.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#A4.|A4]] / AP CSP: [[Curriculum/AP Computer Science Principles#4. Code Analysis|4]]</small>

## 2

I can use source control to organize and describe improvements made in my projects.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#A4.|A4]] / AP CSP: [[Curriculum/AP Computer Science Principles#6. Responsible Computing|6]]</small>

## 3

I understand data types (including simple types and collection types) and know when to use them as variables or constants in my programs.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#A1.|A1]] / AP CSP: [[Curriculum/AP Computer Science Principles#3. Abstraction in Program Development|3]]</small>

## 4

I can design and implement algorithms using control structures to obtain desired results in my programs.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#A2.|A2]], [[Curriculum/Introduction to Computer Science, Grade 11#B3.|B3]] / AP CSP: [[Curriculum/AP Computer Science Principles#2. Algorithms and Program Development|2]]</small>

## 5

I understand the concept of abstraction and can apply it to reduce code duplication and make program maintenance easier.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#A3.|A3]], [[Curriculum/Introduction to Computer Science, Grade 11#B2.|B2]] / AP CSP: [[Curriculum/AP Computer Science Principles#3. Abstraction in Program Development|3]]</small>

## 6

I can apply Agile software development principles to design and deliver solutions to authentic problems for an external audience.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#B1.|B1]], [[Curriculum/Introduction to Computer Science, Grade 11#B4.|B4]] / AP CSP: [[Curriculum/AP Computer Science Principles#1. Computational Solution Design|1]], [[Curriculum/AP Computer Science Principles#6. Responsible Computing|6]]</small>

## 7

I am proficient at using my computer to organize local files and can use the features of Xcode to, among other things, debug logical errors and access developer documentation.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#C2.|C2]],  [[Curriculum/Introduction to Computer Science, Grade 11#C3.|C3]] / AP CSP: [[Curriculum/AP Computer Science Principles#4. Code Analysis|4]]</small>

## 8

I can identify computer components and make recommendations for hardware purchases based upon a user’s stated requirements and a manufacturer’s commitment to environmental sustainability.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#C1.|C1]], [[Curriculum/Introduction to Computer Science, Grade 11#D1.|D1]] / AP CSP: [[Curriculum/AP Computer Science Principles#5. Computing Innovations|5]]</small>

## 9

I can describe a computing innovation (in artificial intelligence, cryptography, augmented reality, or other areas), comment upon legal and ethical implications, and consider more generally the social impacts of computing.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#D2.|D2]] / AP CSP: [[Curriculum/AP Computer Science Principles#5. Computing Innovations|5]]</small>

## 10

I can maintain a public-facing portfolio of my work in this class to facilitate applications to post-secondary programs of study and summer employment.
<small>Ontario: [[Curriculum/Introduction to Computer Science, Grade 11#D3.|D3]]</small>

