---
dg-publish: true
dg-home-link: false
---
# Concept review questions

You have likely just considered [[Vocabulary|many of the key terms ]] we learned this year.

Here is a list of questions related to those terms.

See how many of these questions you can answer!

- What is the difference between a logical error and a syntax error?
- What is a good strategy for finding a logical error?
- What are some examples of common syntax errors?
- What is the purpose of a function?
- What are common data types in Swift?
- How can we group related information to create a new data type?
- What is the difference between a stored property and a computed property?
- What is the difference between a commit and a push when using source control?
- What is one benefit of commiting and pushing your work frequently?
- What is the meaning of the acronym D.R.Y.?
- What is the difference between the definition of a structure and an instance of a structure?
- How can input be received by an app?
- What are some examples of output that can be produced by an app?
- What are some ways that you can manage (reduce) the complexity of the code needed to author an app?
- What is the difference betwen an optional String and a regular String?
- Is an zero the same as a nil value? Is an empty string the same as a nil value? What *is* a nil value?
- What does it mean to unwrap an optional variable? Provide an example of how this can be done. Then find another way that an optional variable can be unwrapped. Discuss the pros and cons of each approach.
- The structure of what common office software application is most similar to a database table?
- What is the purpose of joining two database tables? How is this done?
- What column must exist in every database table?
- What must be true about a Swift structure that will be used to decode a JSON object into?
- What is the difference between a synchronous and an asynchronous function?
