---
dg-publish: true
dg-home-link: false
tags: [ics3u]
---
# Preparing for the End of Year Interview

Looking ahead to Monday's interviews... here are 10 key points to understand.

My apologies in advance for a long message, but since we may not all be present on Saturday from 12:30 PM to 2:00 PM for the optional interview prep period in room 36, I must put all of this in writing.

1. Make a copy of the slides template here:
   
   [Interview Slides Template](https://docs.google.com/presentation/d/1qAFP06Eo9HtRPmi3hooNaTk1vjx7jjfDbs2uFpaJGsc/copy)
   
   Then, please **immediately** [submit a link to your interview slide deck here](https://docs.google.com/forms/d/e/1FAIpQLSeExD2kF0LFNWs4eduxnWk_UsI79FnWC4zzaK-26wqqnwpdug/viewform).
   
   Replace the placeholder images with images from your Spaces portfolio.
   
   Replace the placeholder text with short bullet points to respond to the prompts given.
   
   Please do **not** spend any time changing the visual appearance of the slide deck. That has no bearing on the grade you will receive.
   
   Please do **not** add pages to the slide deck.
   
   Please do **not** reduce the size of text on the slides.
   
   Please ensure code shown in screenshots is large enough to be legible.
   
2. We need to complete 17 interviews in 180 minutes. 
   
   You are therefore strictly time-limited to 10 minutes. 
   
   Finishing in less than 10 minutes would be helpful. 
   
   Please practice your delivery before interview day.

3. You do **not** need to bring your own laptop.
   
   I will have one there for you, set up with your slides.
   
   You will be able to view your slides and the "presenter notes" section on the computer, with the TV screen behind you visible to the interviewers.

4. Use your slides as visual support for a conversation with the interviewers – **not** as a script.
   
   Be prepared to answer a few questions.
   
   You should be able to speak naturally about your work from the year.
   
   If you read directly from your slides, you will not earn a high grade on your interview.

5. Please arrive to Upper Hadden Hall by 9:20 AM on Monday morning.
   
   We must **begin** the first interview at 9:30 AM.
   
   Arriving a bit early allows me to take attendance and for us to get interviews started on time.

6. I am required by school policy to keep you from 9:30 AM until 11:30 AM to avoid creating noise and traffic within the Academic Block while exams are under way. 
   
   herefore, even if you have an earlier interview, you must stay in Upper Hadden Hall, after your interview, until 11:30 AM.

7. At 11:30 AM, if you have completed your interview, you may leave. If you have not completed your interview, you must stay.

8. If you have a later interview, you cannot arrive later in the morning – you must still arrive by 9:20 AM.

9. Here is the [[ICS3U-1 Interview Order 2022-23|order of interviews]].
   
   If you wish, you can watch [[Randomly Selecting Interview Order - ICS3U-1 - 2022-23|this 20-second animation showing how I determined the order of presentations]]. As you can see – it was random.

10. No trading of interview times is permitted.

If you have any questions, please email or message me through Edsby.

Take care and if I do not see you today in room 36 at 12:30 PM – I will see you on Monday morning.

You've got this – the year is almost done! 💫

– *Mr. Gordon*

