---
dg-publish: true
dg-home-link: false
tags: [ics2o, ics3u]
---
# Name Plate
## Objective
Draw the letters of your name in block letters, using a hand-drawn plan to help get you started.
## What you'll need to begin
- [ ] The [[Playgrounds]] app installed on your computer
- [ ] A [[Duplicating a Sketch in Playgrounds|duplicate of the Sketches Template, renamed to be called 'Name Plate']]
- [ ] Your black, hardcover, graph paper notebook
## Success criteria
- [ ] a plan is made to consider at least some of the necessary turtle movements to draw your name (see exemplar below)
- [ ] your name is drawn in block, not bubble, letters, with consistent spacing
- [ ] code includes [[Well Formatted Code#Use Comments to Describe Intent|concise comments that describe intent]]
- [ ] code is [[Well Formatted Code#Indent Code Consistently|correctly indented]]
## Exemplar
Here is an example of a plan for drawing letters with consistent spacing:
![[Plan for drawing name.jpg]]
Note how after a while, shorthand is used to describe turtle movements. This is a good strategy for making a useful plan without taking a lot of time.
> [!TIP]
> Before moving on to draw the next letter in your name, ensure that the turtle finishes drawing a letter in the same **position** and **heading** that it started in. You will see a little later on why this is a useful approach.