---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 6 - Wednesday, October 26, 2022
#### Agenda
1. Name Plate
	- Make a final set of enhancements to your Name Plate sketch – or – keep your existing sketch and start a new one, in another Playground file, with a different visual look and feel.
	- To build and show your increasing mastery of concepts we've recently looked at, aim to use some or all of these techniques:
		- [[Concepts/Iteration|iteration]]
		- [[Concepts/Functions|functions]]
		- [[Concepts/Random Numbers|random numbers]]
		- [[Radial Fill Plan|a rough plan]]
	- Remember that you can use [colour combination websites](https://www.canva.com/learn/100-color-combinations/) and [[Using the Eyedropper Tool to Obtain Nice Colours|the eyedropper tool to obtain nice colours]] for your sketches.
		- When choosing a color, the *alpha*  or *opacity* value refers to how transparent the colour will be.
		> [!Tip]
		> Try overlapping two filled figures that use a slightly transparent colour. What happens?
	- Here are some ideas that might be fun to use as inspiration, if you are searching for an idea!
		- To implement these patterns, think of how you might use fills and overlapping shapes.
		![[pow.jpg|300]]
		![[Screen Shot 2022-10-26 at 6.48.18 AM copy.png|300]]
		![[Screen Shot 2022-10-26 at 6.48.35 AM copy.png|300]]
		![[Screen Shot 2022-10-26 at 6.48.50 AM copy.png|300]]
		![[diagonal-lines copy.jpg|300]]
		![[Screen Shot 2022-10-26 at 6.55.40 AM copy.png|300]]
		![[Screen Shot 2022-10-26 at 6.48.07 AM copy.png|300]]
	> [!Important]
	> When you are finished working for the day, be sure to share your progress in the **Portfolio** space [on Spaces](https://ca.spacesedu.com/).
	
#### To-do items
*Before our next class...*
- [ ] Make further progress on the task above, if you choose.
- [ ] Please be certain you have upgraded your operating system and installed Xcode, as described in the notes from [[Section 1/Thread 1/Day 4|Day 4]].
- [ ] Once again, as always, please share your progress on [Spaces](https://ca.spacesedu.com/).