---
dg-publish: true
dg-home-link: false
tags: [ics3u]
---
# Preparing for the End of Year Interview

Some key things to keep in mind:

## Slides

- Replace the placeholder images with images from your Spaces portfolio.
- Replace the placeholder text with short bullet points to respond to the prompts given.
- Please do **not** spend any time changing the visual appearance of the slide deck. That has no bearing on the grade you will receive.
- Please do **not** add pages to the slide deck.
- Please do **not** reduce the size of text on the slides.
- Please ensure code shown in screenshots is large enough to be legible.

## Timing

- Interviews are strictly time-limited to 10 minutes. Finishing in less than 10 minutes would be helpful. Please practice your delivery before interview day.

## Equipment

- You do **not** need to bring your own laptop. Mr. Gordon will have one there for you, set up with your slides.
- You will be able to view your slides and the "presenter notes" section on the computer, with the TV screen behind you visible to the interviewers.

## Interview

- Use your slides as visual support for a conversation with the interviewers – **not** as a script.
- Be prepared to answer a few questions.
- You should be able to speak naturally about your work from the year.
- If you read directly from your slides, you will not earn a high grade on your interview.

## Attendance

- Please arrive to Upper Hadden Hall by 9:25 AM on Tuesday morning.
- We must **begin** the first interview at 9:30 AM.
- Arriving a bit early allows me to take attendance and for us to get interviews started on time.
- I am required by school policy to keep you from 9:30 AM until 11:30 AM to avoid creating noise and traffic within the Academic Block while exams are under way.
	- Therefore, even if you have an earlier interview, you must stay in Upper Hadden Hall, after your interview, until 11:30 AM.
- At 11:30 AM, if you have completed your interview, you may leave.
	- If you have not completed your interview, you must stay.
	- If we stick to the 10-minute limit, everyone should be able to leave at 11:30 AM.
- If you have a later interview, you cannot arrive later in the morning – you must still arrive by 9:25 AM.
- **No trading of interview times is permitted.**

You've got this – the year is almost done! 💫

– *Mr. Gordon*

