---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 12 - Monday, November 7, 2022
#### Agenda
1. [Learning Skills Self-Assessment](https://www.icloud.com/iclouddrive/00b26u1fleLzktdRsJ-nWhS_Q#Learning_Skills_Self-Assessment)
	- Last week you completed in-person interviews with Mr. Gordon to discuss your achievement to date.
	- You set goals for improvement over the next two weeks to complete this module.
	- *Learning skills* drive achievement.
		- That is, if you have strong learning skills, the rest often takes care of itself.
	- Please self-evaluate your learning skills for this course to date.
		- When completed, take a photo of your self-assessment and please post it [on Spaces](https://ca.spacesedu.com/) in the *private* portfolio space.
2. [Source Control: Quick reference](https://www.russellgordon.ca/cs/source-control/introduction/using-source-control.pdf)
	- From last week's class, please glue this inside the front cover of your black hardcover notebook.
3. [[Composition of Views Using Custom Structures|SwiftUI: Composition of Views Using Custom Structures]]
	- Remember **D.R.Y.** ?
		- *Don't repeat yourself.*
	- We can write our own structures that conform to the `View` protocol.
		- These custom structures build upon the structures like `VStack`, `HStack`, `ScrollView`, et cetera that are provided by Apple through the SwiftUI framework.
		- By using custom structures, we avoid having to make repetitive changes to our code.
		- As well, the overall number of lines of code that it takes to write an app is much lower.
4. Exercise: Improving the List View in **FavouriteThings**
	- Currently, the list view looks like this:
	  ![[Screen Shot 2022-11-06 at 11.05.42 AM.png|200]]
	- `NavigationLink` labels can show *any* view, not just a `Text` view.
	- Using your new knowledge from yesterday's class about how to combine `VStack` and `HStack` structures, and from today's class about how to create a new custom structure, modify your project so that the list view looks like this instead:	  
	  ![[Screen Shot 2022-11-06 at 11.03.53 AM.png|200]]
	> [!HINT]
	> To re-use existing images in your app and show a smaller square thumbnail, the view modifiers shown here will do the trick:
	> ![[Screen Shot 2022-11-06 at 11.11.14 AM.png|400]]
#### To-do items
*Before our next class...*
- [ ] Complete the tasks from today's agenda
- [ ] Be sure to share your results, and questions, [on Spaces](https://ca.spacesedu.com/) when you are done