---
dg-publish: true
dg-home-link: false
---
### Thread 1, Day 4 - Monday, October 24, 2022
#### Agenda
1. Apple Developer Account
	- This account will allow you to [use TestFlight](https://developer.apple.com/testflight/) with the apps you create in class this year.
		- It will also allow you to directly download developer resources, which has some advantages compared to using the Mac App Store.
	- First, please [create an Apple ID](http://appleid.apple.com/) using your LCS email address.
	> [!Tip]
	> When creating your Apple ID, use the school's street address, but your own phone number. The complete address for LCS is:
	> `4391 County Road 29`
	> `Lakefield College School`
	> `Lakefield ON K0L2H0`
	> `Canada`
	- Then, accept the invitation to join the LCS Apple Developer team that you will find in your LCS email inbox.
2. Update Operating System
	- To use the required version of Xcode, your computer must be upgraded to at least macOS Monterey version 12.5.
	- Choose Apple menu  > About This Mac to check what version you currently have.
	- Here is [how to upgrade](https://support.apple.com/en-us/HT212735), as needed.
	- If you have to do a significant upgrade (e.g.: from macOS 11.x to macOS 12.5+) please wait until this evening, after you have completed your Study tasks, to complete it.
		- Alternatively, if a major upgrade is necessary, you could ask the I.S. support team to upgrade your computer over lunch.
3. Download Xcode
	- You can download the [current version, 14.0.1, here](https://developer.apple.com/services-account/download?path=/Developer_Tools/Xcode_14.0.1/Xcode_14.0.1.xip).
	- This will require logging in with your Apple Developer ID that we just set up.
	- When the download finishes, you will have a `.xip` file in your Downloads folder.
		- Double-click the `.xip` file to decompress it.
		> [!Tip]
		> It's a very large file – decompressing the `.xip` will take some time.
	- Once the `.xip` file is decompressed, you will see an Xcode application icon.
			- Drag Xcode to your Applications folder.
			- You can then move the `.xip` file to your computer's Trash bin.
4. [Course Outline](https://tinyurl.com/lcscs22-g11-sco)
	- We deferred looking at this last week due to my absences from class for coaching.
	- Let's review now using a *think-pair-share* protocol.
5. Making Plans
	- A look at how a little bit of thought can make completing a radial fill pattern like this pretty straightforward:
	![[Screen Shot 2022-10-24 at 8.32.51 AM.png|400]]
	- To begin, we will work in pairs, with groups assigned in a visibly random way.
	- We can find some [nice color combinations here](https://www.canva.com/learn/100-color-combinations/).
6. Make further enhancements to your Name Plate sketch.
	- Use some of the concepts we have just explored - be bold!
	- Here is what I came up with after some experimentation:
	![[Screen Shot 2022-10-23 at 2.50.47 PM.png|400]]
		
#### To-do items
*Before our next class...*
- [ ] As described in item #2 above, if necessary, upgrade your computer's operating system.
- [ ] As described in item #3 above, please download and install Xcode.
- [ ] Complete your enhancements to [[Section 1/Tasks/Name Plate|Name Plate]] task.
- [ ] Please share your progress on [Spaces](https://ca.spacesedu.com/).
