---
dg-publish: true
dg-home-link: false
---
### Thread 2, Day 5 - Tuesday, January 17, 2023

#### Agenda

1. Lesson: Interactive Applications Using Sliders
	- **Input-Process-Output**
		- Writing applications that accept input, process it, and display output.
		- Here are the instructions from class, in order... each video is quite short:
			- [1 - Creating the New Project](https://youtu.be/ALotGBur3-c)
			- [2 - Adding an Image](https://youtu.be/ImstsbHn1NM)
			- [3 - Adding Properties and Creating a Static Layout](https://youtu.be/b44gPNn9j6M)
			- [4 - Adding the Sliders](https://youtu.be/QuSJ9njO-5E)
			- [5 - Binding the Sliders to the Properties to Make Them Interactive](https://youtu.be/kCFDQ_Lr6MI)
			- [6 - Today's Study Task](https://youtu.be/iSJmsT32Ni0)
			- [7 - Using Groups to Avoid the Ten Structure Limit in SwiftUI](https://youtu.be/Pr2DcIB_IJI)
		- Now, please take the app you have written, and extend it to calculate perimeter as well.
2. Exercise: Temperature Converter
	-  Write an application (from scratch, in a new project) that converts a temperature in Celsius to its equivalent in Fahrenheit.
		- Optionally:
			- Also write a page that calculates the reverse: from Fahrenheit to Celsius.
			- Add navigation to the app so that the user can move between these screens.
	  
#### To-do items
*Before our next class...*
- [ ] Extend your Area and Perimeter app to calculate and display the perimeter of a given rectangle.
- [ ] As described above, write a Temperature Converter app.
- [ ] Share updates [on Spaces](https://ca.spacesedu.com/).